KParts::URLArgs Struct Reference

`#include <browserextension.h>`

## Public Member Functions

| URLArgs (const URLArgs &args)
URLArgs & | operator= (const URLArgs &args)
| URLArgs (bool reload, int xOffset, int yOffset, const QString &serviceType=QString::null)
void | setContentType (const QString &contentType)
QString | contentType () const
void | setDoPost (bool enable)
bool | doPost () const
void | setLockHistory (bool lock)
bool | lockHistory () const
void | setNewTab (bool newTab)
bool | newTab () const
QMap< QString, QString > & | metaData ()
bool | redirectedRequest () const
void | setRedirectedRequest (bool redirected)
void | setForcesNewWindow (bool forcesNewWindow)
bool | forcesNewWindow () const

## Public Attributes

QStringList | docState
bool | reload
int | xOffset
int | yOffset
QString | serviceType
QByteArray | postData
QString | frameName
bool | trustedSource
URLArgsPrivate * | d

## Detailed Description

URLArgs is a set of arguments bundled into a structure, to allow specifying how a URL should be opened by openURL().

In other words, this is like arguments to openURL(), but without have to change the signature of openURL() (since openURL is a generic KParts method). The parts (with a browser extension) who care about urlargs will use those arguments, others will ignore them.

This can also be used the other way round, when a part asks for a URL to be opened (with openURLRequest or createNewWindow).

Definition at line 57 of file browserextension.h.

## Member Function Documentation

QString URLArgs::contentType | ( |  | ) | const

KHTML-specific field, header defining the type of the POST data.

Definition at line 158 of file browserextension.cpp.

bool URLArgs::doPost | ( |  | ) | const

KHTML-specific field, whether to do a POST instead of a GET, for the next openURL.

Definition at line 177 of file browserextension.cpp.

bool URLArgs::forcesNewWindow | ( |  | ) | const

Whether the URL specifies to be opened in a new window.

Since
  3.4

Definition at line 213 of file browserextension.cpp.

QMap< QString, QString > & URLArgs::metaData | ( |  | ) |

Meta-data to associate with the next KIO operation.

See also
  KIO::TransferJob etc.

Definition at line 163 of file browserextension.cpp.

bool URLArgs::redirectedRequest | ( |  | ) | const

Returns
  true if the request was a result of a META refresh/redirect request or HTTP redirect.

Definition at line 153 of file browserextension.cpp.

void URLArgs::setContentType | ( | const QString & | contentType | ) |

KHTML-specific field, header defining the type of the POST data.

Definition at line 139 of file browserextension.cpp.

void URLArgs::setDoPost | ( | bool | enable | ) |

KHTML-specific field, whether to do a POST instead of a GET, for the next openURL.

Definition at line 170 of file browserextension.cpp.

void URLArgs::setForcesNewWindow | ( | bool | forcesNewWindow | ) |

Set whether the URL specifies to be opened in a new window.

Since
  3.4

Definition at line 206 of file browserextension.cpp.

void URLArgs::setLockHistory | ( | bool | lock | ) |

Whether to lock the history when opening the next URL.

This is used during e.g. a redirection, to avoid a new entry in the history.

Definition at line 182 of file browserextension.cpp.

void URLArgs::setNewTab | ( | bool | newTab | ) |

Whether the URL should be opened in a new tab instead in a new window.

Definition at line 194 of file browserextension.cpp.

void URLArgs::setRedirectedRequest | ( | bool | redirected | ) |

Set the redirect flag to indicate URL is a result of either a META redirect or HTTP redirect.

Parameters

  redirected |

Definition at line 146 of file browserextension.cpp.

## Member Data Documentation

QStringList KParts::URLArgs::docState

This buffer can be used by the part to save and restore its contents.

See KHTMLPart for instance.

Definition at line 70 of file browserextension.h.

QString KParts::URLArgs::frameName

The frame in which to open the URL.

KHTML/Konqueror-specific.

Definition at line 139 of file browserextension.h.

QByteArray KParts::URLArgs::postData

KHTML-specific field, contents of the HTTP POST data.

Definition at line 94 of file browserextension.h.

bool KParts::URLArgs::reload

`reload` is set when the cache shouldn't be used (forced reload).

Definition at line 75 of file browserextension.h.

QString KParts::URLArgs::serviceType

The servicetype (usually mimetype) to use when opening the next URL.

Definition at line 89 of file browserextension.h.

bool KParts::URLArgs::trustedSource

If true, the part who asks for a URL to be opened can be 'trusted' to execute applications.

For instance, the directory views can be 'trusted' whereas HTML pages are not trusted in that respect.

Definition at line 146 of file browserextension.h.

int KParts::URLArgs::xOffset

`xOffset` is the horizontal scrolling of the part's widget (in case it's a scrollview).

This is saved into the history and restored when going back in the history.

Definition at line 81 of file browserextension.h.

int KParts::URLArgs::yOffset

`yOffset` vertical scrolling position, xOffset.

Definition at line 85 of file browserextension.h.

The documentation for this struct was generated from the following files:

- browserextension.h
- browserextension.cpp

KDE Home | KDE Accessibility Home | Description of Access Keys